# Backport macros for older Mageia releases
%{!?__python2: %global __python2 %{__python}}
%{!?python2_sitelib: %global python2_sitelib %{python_sitelib}}
%{!?python2_sitearch: %global python2_sitearch %{python_sitearch}}
%{!?py2_build: %global py2_build CFLAGS="%{optflags}" %{__python2} setup.py build}
%{!?py2_install: %global py2_install %{__python2} setup.py install --skip-build --root %{buildroot}}
%{!?py3_build: %global py3_build CFLAGS="%{optflags}" %{__python3} setup.py build}
%{!?py3_install: %global py3_install %{__python3} setup.py install --skip-build --root %{buildroot}}

Name:       python-multilib
Version:    1.2
Release:    %mkrel 1
Summary:    A module for determining if a package is multilib or not
Group:      Development/Python
License:    GPLv2
URL:        https://pagure.io/releng/%{name}
Source0:    https://releases.pagure.org/releng/%{name}/%{name}-%{version}.tar.bz2

BuildArch:  noarch

%global _description \
A Python module that supports several multilib "methods" useful for determining \
if a 32-bit package should be included with its 64-bit analogue in a compose.

%description %{_description}

%package -n python2-multilib
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-six
Provides:       python-multilib = %{version}-%{release}
Requires:       %{name}-conf = %{version}-%{release}

%description -n python2-multilib %{_description}

%package -n python3-multilib
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
Requires:       %{name}-conf = %{version}-%{release}

%description -n python3-multilib %{_description}

%package conf
Summary:       Config files for %{name}
Group:         System/Packaging

%description conf
This package provides the configuration files for %{name}.

%prep
%autosetup -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
# testing requires complete composes available locally, which no buildsystem
# would ever want included in a build root
#{__python2} setup.py test
#{__python3} setup.py test

%files conf
%config(noreplace) %{_sysconfdir}/multilib.conf

%files -n python2-multilib
%license LICENSE
%doc README.md
%{python2_sitelib}/*

%files -n python3-multilib
%license LICENSE
%doc README.md
%{python3_sitelib}/*



%changelog
* Tue May 09 2017 ngompa <ngompa> 1.2-1.mga6
+ Revision: 1099855
- Update to 1.2

* Sun May 08 2016 ngompa <ngompa> 1.1-4.mga6
+ Revision: 1010987
- Move config files into own subpackage

* Sun May 08 2016 ngompa <ngompa> 1.1-3.mga6
+ Revision: 1010980
- imported package python-multilib

